# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:	Set up interface aliases for bind9 system tests
Name:		bind-testsuite-setup
Version:	1
Release:	alt1_7
License:	ISC
Group:		System/Servers
URL:		http://www.isc.org/products/BIND/
Source0:	ifconfig.sh
Requires:	automake
BuildArch:	noarch
Source44: import.info

%description
This package provides a slightly modified bin/tests/system/ifconfig.sh file
from bind-9.9.3-P2 as /usr/sbin/bind-testsuite-setup.

This package is only needed when building ISC BIND in order to setup the
required interface aliases for bind9 system tests. This can't be done properly
unless executed as the root user. All packages are built as non-root.

Do not install this package unless you are NOT going to build the ISC BIND
packages.

%prep

%setup -q -c -T

%build

%install
install -d %{buildroot}%{_sbindir}
install -m0755 %{SOURCE0} %{buildroot}%{_sbindir}/bind-testsuite-setup

%post
%{_sbindir}/bind-testsuite-setup up

%preun
%{_sbindir}/bind-testsuite-setup down

%files
%{_sbindir}/bind-testsuite-setup



%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1-alt1_7
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 1-alt1_5
- new version

